class QuotesController < ApplicationController
  def new
    if session[:user]
      @quote=Quote.new
      if session[:source]
        @quote.source_id=session[:source]
        session[:source]=nil
      end
    else
      redirect_to '/quotes/show'
    end
  end

  def edit
  end

  def comment
    @quote = Quote.find params[:id]
    @comments = @quote.get_comment_page params[:page]
  end
  
  def newcomment
    quote = Quote.find params[:id]
    @comment = Comment.new
    @comment.comment = params[:comment]
    @comment.quote = quote
    @comment.user_id = session[:user]
    @comment.save
    respond_to do |format|
      format.html { redirect_to :action => "comment", :id => quote.id }
      format.js
    end
  end
  
  def destroycomment
    comment = Comment.find params[:id]
    quote = comment.quote
    comment.delete
    respond_to do |format|
      format.html {redirect_to :action => "comment", :id => quote.id }
      format.js  { render :nothing => true }
    end
  end

  def show
    @quotes = Quote.get_page params[:page], session[:order]
  end
  
  def order
    if params[:id].to_i == 1
      session[:order]=true
    else
      session[:order]=false
    end
    redirect_to :back
  end

  def add_source
    session[:adding_source] = true
    redirect_to :controller => "sources",:action=>"new" 
  end
  
  def list_sources
    session[:adding_source] = true
    redirect_to :controller=>"sources"
  end
end
