require 'test_helper'

class QuotesControllerTest < ActionController::TestCase
  test "should get new" do
    get :new
    assert_response :redirect
  end
  
  test "should get new when logged in" do
    get :new, nil, :user=>users(:me).id
    assert_response :success
    assert_not_nil assigns[:quote]
  end

  test "should get edit" do
    get :edit
    assert_response :success
  end

  test "should get comment" do
    get :comment, :id => quotes(:ror).id
    assert_response :success
  end

  test "should get show" do
    get :show
    assert_not_nil assigns[:quotes]
    assert_response :success
    assert_select "div.quotebox b", "Kovacs Gabor said in the \n    RoR eloadas in year \n    2011"
  end

end
