require 'test_helper'

class UserTest < ActiveSupport::TestCase
  # test "the truth" do
  #   assert true
  # end
  test "username is present" do
    u = User.new
    assert !u.save, "Houston, we have a problem"
  end
  
  test "username is unique" do
    u = User.new
    u.username = 'lalala'
    assert u.save
    v = User.new
    v.username = 'lalala'
    assert !v.save, "Duplicate user name saved"
  end
end
